Subject: Re: Pennsylvania Turnpike 65 mph speed limit?

From: [email-masked] (TMurphy737)
Date: 3 Oct 1995 19:13:52 -0400

Pennsylvania moved to 65 m.p.h. in July.  The increased speed limit was
one of Governor Ridge's platforms.

Unfortunately, however,  our roads in Pennsylvania are in such horrendous
condition that 65 m.p.h. is a bit optimistic in many places.  Perhaps the
PA Department of Transportation is conspiring with the PA legislature to
stop the increased speed .... it's one way of increasing revenue and
justifying their inflated budgets!  ;-)

[email-masked]